#!/usr/bin/env python3
#
# Task1.py deals with basic matplotlib things, notably line plots
#
# Make sure you
#     first run the script Figs4Paper.py with F_RCP26E  = 'yes'
#     then run this script, Task1.py
#
# To run the python scripts (Figs4Paper.py and Task1.py):
#    at an ipython command prompt: %run Task1.py
#    at a python command prompt: exec(open("./Task1.py").read())
#
# You need Figs4Paper.py to get the arrays you want to plot: year and T_AT
# If you want to know more, go to Figs4Paper.py, where you will see this:
#     sisi = df2['simu'][0]
#     globals.T_AT = sisi.T_of_t[0,:]
#     globals.Y_AT = sisi.n_year[:]
#------------------------------------------------------------------------------

#import necessary modules
import matplotlib.pyplot as plt   #for matplotlib example below
import numpy as np                #for numpy example below
from globals import Y_AT, T_AT    #import the variables you want to plot, passed via a 'helper module', globals.py

#matplotlib, basic plot
#-----------------------------------------------------------
print("example: matplotlib lineplot basic")
#Here comes your contribution

#matplotlib, more extended lineplot
#-----------------------------------------------------------
print("example: matplotlib lineplot extended")
#Here comes your contribution




