#!/usr/bin/env python3
#
# Task4.py deals with netcdf data files, in particular with how to
#    inspect a netcdf file in python
#    read a series of files and store parts of them in a pandas data frame
#
# To run in ipython: %run Task4.py
#--------------------------------------------------------------------------------

#import necessary modules for Task4.py
import glob            #unix style pathname extension; pathlib may be an alternative
import re              #regular expressions, to extract model name from path to pattern file
import xarray as xr    #xarray (to read netcdf data)
import pandas as pd    #pandas (to store data into pandas data frame)


#use xarray to open, read, and inspect a single netcdf file by hand
#-----------------------------------------------------------
print("netcdf with xarray: inspect a single file by hand")
#Here comes your contribution


#use glob to list all netcdf pattern files; loop over them (read each file and print something)
#-----------------------------------------------------------
print("netcdf and os and glob: print number of latitudes and longitudes for all pattern scaling files")
#Here comes your contribution


#use glob to list all netcdf pattern files, read them and store the patterns in a pandas data frame
#-----------------------------------------------------------
print("netcdf and pandas: load all scaling patterns into one pandas data frame")
#Here comes your contribution

